*CMZ :          05/07/96  11.35.20  by  Hartwig Albrecht
*CMZ :  2.01/03 07/02/96  14.21.09  by  Hartwig Albrecht
*CMZ :  2.01/01 20/12/95  19.28.15  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   19/12/95

      SUBROUTINE ALREST

************************************************************************
*
* Description: Restore Pythia parameters which can be
* overwritten by Fritiof.
*
* Called from: ALPYTH
*
* External references: none
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE


#include "arte/ZPYSAVE.fi"
#include "pyth/PYPARS.fi"
#include "pyth/PYSUBS.fi"

      MSEL = MSELSA
      MSTP(31) = MSTP31
      MSTP(61) = MSTP61
      MSTP(63) = MSTP63
      MSTP(65) = MSTP65
      MSTP(71) = MSTP71
      MSTP(91) = MSTP91
      MSTP(111) = MSTP111
      MSTP(122) = MSTP122

      MSUB(11) = MSUB11
      MSUB(12) = MSUB12
      MSUB(13) = MSUB13
      MSUB(28) = MSUB28
      MSUB(53) = MSUB53
      MSUB(68) = MSUB68
      MSUB(81) = MSUB81
      MSUB(82) = MSUB82
      MSUB(83) = MSUB83
      MSUB(86) = MSUB86
      MSUB(87) = MSUB87
      MSUB(88) = MSUB88
      MSUB(89) = MSUB89
      MSUB(90) = MSUB90
      MSUB(92) = MSUB92
      MSUB(95) = MSUB95

      MSUB(104) = MSUB104
      MSUB(105) = MSUB105
      MSUB(106) = MSUB106
      MSUB(107) = MSUB107
      MSUB(108) = MSUB108
      MSUB(119) = MSUB119
      MSUB(120) = MSUB120
      MSUB(125) = MSUB125
      MSUB(126) = MSUB126
      MSUB(127) = MSUB127
      MSUB(190) = MSUB190
      MSUB(191) = MSUB191
      MSUB(192) = MSUB192
      MSUB(193) = MSUB193
      MSUB(194) = MSUB194

      MSUB(132) = MSUB132
      MSUB(133) = MSUB133
      MSUB(134) = MSUB134
      MSUB(135) = MSUB135
      MSUB(136) = MSUB136
      MSUB(137) = MSUB137



      CKIN(3) = CKIN3
      CKIN(5) = CKIN5
      CKIN(6) = CKIN6
      PARP(81) = PARP81
      PARP(176) = PARP176

      END

************************************************************************
* End of ALREST
************************************************************************
