// *****************************************************************************
//
// source:    daqifgetevent.C
//
// type:      source code
//
// created:   15 Mar 2001
//
// author:    Lars Soezueer
//            email: soezueer@mail.desy.de
//
// purpose:   return the event in daq format
//            called by usevnt.C
//
// changes:   
//
// *****************************************************************************
#include "daqif/daqif.hh"
#include "daqif/daq_mc_if.hh"
#include "daqif/kadaqif.hh"

//#include "arte/ArteMessage.hh"

EVENT_HDR* daqifgetevent(void) {

  //check if daqif is initialized
  if (! DAQ_MC_IF::initialized) {
    DAQ_MC_IF::initialize(kadaqif::get_compmask());
    //    arteMsg << "Initialized with mask " << hex << kadaqif::get_compmask() << dec ;
    //    arteMsg.warn();
  }

  unsigned int nBytes;

  return DAQ_MC_IF::getEvent(&nBytes);

}
