// *****************************************************************************
//
// source:    daq_mu_if.hh
//
// type:      header file
//
// created:   14 Mar 2001
//
// author:    Jing-Ge Shiu, Lars Soezueer
//            email: soezueer@mail.desy.de
//
// purpose:   common include file for MUON, MPAD, MPIX in daqif
//
// changes:   
//
// *****************************************************************************
#include "arte/arte.hh"
#include "arte/ArteTable.hh"
#include "arte/ArteMessage.hh"

extern short jsMuFindCmp(unsigned short, unsigned int &);
extern int jsGetDMUFED(unsigned short, unsigned short*, unsigned int);
extern int jsGetEndian(void);
//extern int jsDumpDMU(unsigned short, unsigned short);
extern int MCHitb2Digi(void);

extern "C" {
#include "esp.h"
}
typedef unsigned short Word;
typedef unsigned int  LWord;
