
// ******************************************************************
//
// D. Samtleben 10 Aug 1999
//
// Declaration of Histograms and Initialization
//
// changes:
// 28 Oct 1999 (AG) use defines from DQ.h
// 01 Nov 1999 (AG) get rid of dq_hid.h
// 01 Nov 1999 (AG) commented out TDC spectra histograms
// 19 Nov 1999 (AG) show up
//  6 Jul 2000 (AG) polished printout
// 13 Nov 2001 (JH) Modifications by Mike Walter
//
// ******************************************************************

// standard includes
#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>

// ONLINE includes
#include "rhp.h"

// Arte includes
#include "arte/arte.hh"
#include "farm/farm.hh"
#include "dq/DQ.h"
#include "dq/DQ_OTR.h"

//
// function code
//
int
DQ_OTR_hit_init()
{
  // show up
  ARTE_mark( "DQ_OTR_hit_init 0", 0 ); 
  cout << "DQ_OTR_hit_init" << endl;

  char HistName[100];
  char HistTitle[100];
  int  HistID;
  char oldtitle[RHP_TITLE_LEN];
  int oldbins;
  float oldxmin;
  float oldxmax;
  int oldhist;
  float newxmin;
  float newxmax;
  int nbin;

  // show up
  ARTE_mark( "DQ_OTR_hit_init 1", 0 ); 

  return 0; // return error code (0 = okay)
}
