// *******************************************************************
//
//    K0, Lambda and Lambda_bar Initialization function 
//
//     Author F.Sanchez (Dec'01)
//
// *******************************************************************

#include <stdio.h>
#include "arte/arte.hh"
#include "arte/ArteFlag.h"
#include "reco/rcSelect_K0S_Lambda.hh"
#include "farm/farm.hh"
#include "dq/DQ.h"


int DQ_RECO_K0S_Lambda_init()
{
  ARTE_mark( "DQ_RECO_K0S_Lambda_init 0", 0 );
  cout << "DQ_RECO_Lambda_init" << endl;

  K0SLAMBDA::rc_Select_K0S_Lambda_OnlineMode();
  K0SLAMBDA::K0LambdaSelectInit(0.04,0.13,0.06); 

  ARTE_mark( "DQ_RECO_K0S_Lambda_init 1", 0 );
  return 0;
}






