#include <math.h>
#include <vector.h>
#include "arte/arte.hh"
#include "arte/ArteUtil.h"
#include "gean/gctrak.h"
#include "gean/gckine.h"
#include "gean/gcvolu.h"
#include "gean/ZGMOTH.h"
#include "gean/zgkine.hh"
#include "gean/zgmimp.hh"

#include "CLHEP/Vector/ThreeVector.h"

extern vector<hgmtra> *hg_mtra;
extern vector<hgmimp> *RICH_mimp;
extern "C" {
void crrihi_(float xxphot[] ) {

   hgmimp mm; 
   vector<hgmtra>::iterator mt = hg_mtra->begin() + gckine_.itra -1; 

         mm.z  = xxphot[2] - zgmoth_.ZZERO;
         mm.x  = xxphot[0];
         mm.y  = xxphot[1];
         mm.tx = xxphot[3]*xxphot[6];
         mm.ty = xxphot[4]*xxphot[6];
         mm.p  = xxphot[5]*xxphot[6]; 

	 Hep3Vector pol(xxphot[7],xxphot[8],xxphot[9]);
	 mm.time  = pol.cosTheta();
	 mm.q     = pol.phi();  

	 mm.itra = gckine_.itra;
         ArtePointer<GESL> gs(zgmoth_.RICHSL);
         mm.gede = gs->fpl;
         RICH_mimp->push_back(mm); 

         mt->nhit++;;
 }}
