#ifndef _GEANT2ARTE_HH_
#define _GEANt2ARTE_HH_

class Geant2Arte {
public:
  Geant2Arte() {}
  ~Geant2Arte() {}
  unsigned int GetGvolNumber(char *);
  void         SetGvolNumber(char *,int &);
  unsigned int CreateNede();
  unsigned int CreateNwal(); 
  unsigned int CreateNcal(); 
  void         FillTree(char* , int &);
  void         FillTree(const int, const char*, const int *);
  float        FillGvolParameter();
  void         FillNedeParameter(int &);
  void         FillNwalParameter(int &);
  void         FillNcalParameter(int &); 
  int          Get_Daughter_jin(const char* ,const int *,int);
  void         GetModule(int &,char [], int[]);

private: 
  char           name [4];
  int            ncopy;
  unsigned int   nlev;  
  char           lvols  [60];
  int            lcopy  [15];
  unsigned int   ivos;

  unsigned int   ishap;
  unsigned int   imat;
  float          xms;
  unsigned int   mag_flag;
  unsigned int   sens_flag;
  unsigned int   npar; 
  float          pos[11];
  float          rotm[9];
  unsigned int   ndau;

};

#endif






