*CMZ :  1.00/00 23/09/94  14.25.35  by  Fedor Ratnikov
*-- Author :    Fedor Ratnikov   23/09/94
************************************************************************
*
* L1LAST
* written by Fedor Ratnikov, 23/09/94 14.13.10
*
* This routines action:
*  L1SIMU termination
*
*
* Arguments  kind         description
*          (in,update,out)
*----------------------------------------------------------------------*
* ierr        in           .EQ.0 when last event was processed perfectly
*
*
************************************************************************
c
      SUBROUTINE L1LAST(ierr)
c
      IMPLICIT NONE
c
#include "l1si/l1param.fi"
#include "l1si/l1jobdf.fi"
c
      INTEGER ierr
c
      IF ( ierr.eq.0 .and. L1PARpileup ) THEN   ! finish rest of jobs for pile-up
         DO WHILE ((L1JOBstore(L1JOBsused).gt.0)! until there are no jobs left
     &             .and. (ierr.eq.0))           ! break on error
            CALL l1runsi(ierr)
         END DO
      END IF
c
      CALL l1allfi
c
c
      RETURN
c
      END
