
#ifndef MuEffTube_h
#define MuEffTube_h 1

//## Class: MuEffTube
//      /**Author:        Boris Fominykh
//
//      Date:             May 6th, 2002
//
//      Class:            MuEffTube
//
//      Base Class:       none
//
//      Description:
//      This is a container class for muon tube chamber efficiency */

typedef unsigned short Word;

class MuEffTube
{
public:
    //## Constructor
      MuEffTube();
    //## Destructor
      ~MuEffTube();

// public methods
    //        /**Initialization*/
      void Ini();
    //        /**Print*/
      void Print();

// public variables

      int  Valid;
      int key;       // key = NXmin*16 + NWIRmin

      Word IDnum;    // ID number
      Word sl;       // muon superlayer
      Word lay;      // layer
      Word ud;       // up=0 / down=1
      Word nx1;      // nx min
      Word nx2;      // nx max
      Word sd1;      // side min
      Word sd2;      // side max
      Word w1;       // wire min
      Word w2;       // wire max

      float eff;     // efficiency

  protected:
  private:
};
#endif
