*CMZ :  4.04/01 26/03/96  14.24.41  by  Rainer Mankel
*CMZ :  4.04/00 10/01/96  17.09.12  by  Rainer Mankel
*-- Author :    Rainer Mankel   10/01/96

      subroutine pkplab(pl,chopt)

*     **** pick plane
      implicit none
#include "arte/Arte.fi"
#include "pris/zgraf.fi"

      character*(*) chopt
      real xxx(5), yyy(5), wc(3,4), tg, rseg
      integer ii, pl, isl, cmp, seg, p1, p2

#include "auto/GEO.fi"

#include "arte/Arte.ff"
#include "auto/GEO.ff"

      isl = ogede_gesl(pl)
      if (isl.le.0) print *,' () pkplab: pl,isl=',pl,isl
      cmp = igesl_cmp(isl)

      if (cmp.eq.7) then
         print *,' pkplab: unsupported cmp=', cmp
         go to 999
      endif

*     **** tan(stereo angle)
      if (fgede_cos(pl).ne.0.) then
       tg = fgede_sin(pl) / fgede_cos(pl)
      else
       tg = fgede_sin(pl) / 0.00001
      endif

      if (.not.lstereozg) then
*        **** bypass stereo planes
         if (cmp.eq.2.or.cmp.eq.3) then
            if (abs(fgede_sin(pl)).gt.0.05
     +           .or.abs(fgede_rot(2,pl)).gt.0.05)
     +           go to 999
         endif
      endif

*     **** corners of plane (using world coordinates)

      if (igede_shp(pl).le. 2 .or. igede_shp(pl).eq.10
     +.or.igede_shp(pl).eq.42 .or. igede_shp(pl).eq.34) then
*        **** basic shape
         wc(1,1) = fgede_sxmn(pl)
         wc(2,1) = fgede_symn(pl)
         wc(3,1) = fgede_zmin(pl)

         wc(1,2) = fgede_sxmx(pl)
         wc(2,2) = fgede_symn(pl)
         wc(3,2) = fgede_zmin(pl)

         wc(1,3) = fgede_sxmx(pl)
         wc(2,3) = fgede_symx(pl)
         wc(3,3) = fgede_zmin(pl)

         wc(1,4) = fgede_sxmn(pl)
         wc(2,4) = fgede_symx(pl)
         wc(3,4) = fgede_zmin(pl)

*        **** shear shape for epiped
         if (igede_shp(pl).eq.10) then
            do ii=1,4
               wc(1,ii) = wc(1,ii) + tg * wc(2,ii)
            enddo
         else if (igede_shp(pl).eq.2) then
            do ii=1,4
               wc(1,ii) = wc(1,ii) + tg * wc(2,ii)
            enddo
         endif
      else
         print *,' () pkplab: unsupported shape, shp, pl=',
     +        igede_shp(pl), pl
         go to 999
      endif

      if (fgede_rot(1,pl).ne.1.) then
*        **** additional rotation
         do ii=1,4
*           **** use 2D rotation matrix
            call diroxy(wc(1,ii),fgede_rot(1,pl),-fgede_rot(2,pl))
         enddo
      endif

*     **** projection
      do ii=1,4
         call dipro(wc(1,ii),xxx(ii),yyy(ii))
      enddo

*     **** close the parallelogram
      xxx(5) = xxx(1)
      yyy(5) = yyy(1)

*     **** pick plane
      do seg=1,4
         p1 = seg
         p2 = seg + 1
         rseg = sqrt( (xpickzg-xxx(p1))**2 + (ypickzg-yyy(p1))**2)
     +        + sqrt( (xpickzg-xxx(p2))**2 + (ypickzg-yyy(p2))**2)
     +        - sqrt( (xxx(p1)-xxx(p2))**2 + (yyy(p1)-yyy(p2))**2)
**          print *,' pkmc: imc,iclose,npoint,seg,p1,p2,rseg=',
**   +          imc,iclose,npoint,seg,p1,p2,rseg
         if (rseg.lt.rpickzg) then
            idpickzg = pl
            rpickzg = rseg
         endif
      enddo

 999  end


