// Main routine for HPT dptc-->hitb data translation.  29.03.99
// Author:  V.Popov

#include <iostream.h>
#include <stdio.h>
#include <fstream.h>
#include "arte/Arte.h"
#include "auto/GEDE.h"
#include "auto/DIG.h"
#include "auto/GESL.h"
#include "auto/HITB.h"

extern "C" {
void mmbook_( int & , const int & );
void ptreset_();
void pthitbsort_(int &, int &);
}
extern int ptGetHitTable(int n);
extern int ptGetHotCh();
extern void ptFillHITB(int , unsigned int* );
extern void GetNpl();

void pt2hitb()
{
  static int first=0;
  unsigned int* p[100];
  int FED_id, rc;
  int iP = 0;
  int iw, i;
  int nh1,nh2;
  
  if (first==0) {
    rc = ptGetHitTable(1024);
    rc = ptGetHotCh();
    GetNpl();
    first=1;
  }

    //    cout << "gede hit1-hitL info reset" << endl;
    ptreset_();
    nh1 = NHITB()+1;

    for(i=1; i<=NDPTC(); ++i) {
      DPTC& dptc = DPTC(i);
      //      cout << " idt=" << i;
      p[++iP] = (unsigned int* )dptc.bits;
    }

  // DPTC table data handling
  // DPTC table has 35 of 32-bit integers 

  int offset = 2;
  while(offset <= iP)
    {
      //      cout<<"offset="<<offset;
      FED_id = *((short int*)p[offset] + 1);
      //      cout << "FED_id:" << FED_id << endl;
      iw =0;
      for (i=offset+2; i<=offset+33; i++)
	{
	  ptFillHITB(iw,p[i]); iw++;
	}
      nh2 = NHITB();
      pthitbsort_(nh1,nh2);
      offset += 34; 
    }

}












