// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 
#include <iostream.h>
#include "rang/VolDummy.hh"

//-- Constructor
rangerVolDummy::rangerVolDummy(){};

//-- Constructor
rangerVolDummy::rangerVolDummy( rangerGeWa* gewa ) : rangerVolume( gewa ) 
{
  // This is some nonsense default
  zA = 0.5*(Gewa->zmin() + Gewa->zmax()) ;
  xA1 = yA1 = -1.e5 ;
  xA2 = yA2 =  1.e5 ;
}

//-- Destructor
rangerVolDummy::~rangerVolDummy(){};

float rangerVolDummy::sLength(float ,float ,float ,float ,
			      float ) const {
  return 0;
}


