// 
//  Author:  Rainer Mankel                     Created:  20-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerHL

#ifndef RANGER_HL_HH
#define RANGER_HL_HH

#include <vector.h>
#include "arte/arte.hh"

class rangerDomLay;

class rangerHL {

public:
  rangerHL();
  rangerHL(rangerDomLay* dl);
  ~rangerHL(){};

  void erase() { hits.erase(hits.begin(),hits.end()); };
  void addHit(ArtePointer<HITB> h) { hits.push_back(h); };
  rangerDomLay* dl() { return dlay; };
  const vector<ArtePointer<HITB> >& h() { return hits; };

private:
  rangerDomLay* dlay;
  vector<ArtePointer<HITB> > hits;
};

#endif
