// 
//  Author:  Rainer Mankel                     Created:  02-Feb-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// rgmaintr_
// Top level routine for main tracker pattern recognition.
// Performs
// - pattern recognition in pattern tracker
// - magnet propagation
// - tc area propagation
// - compatibility analysis
// - refit
// through usage of tfevnt.

#include "rang/rginit.hh"
#include "rang/zfpar.hh"

extern "C" {
  void tfevnt_();
}

extern "C" void rgmaintr_() {

  // user routine main tracker reconstruction
  
  rginit_();
  tfevnt_();
}
