*-- Author :    A.Spiridonov                             07.11.01
*   changed:

      subroutine tfjoinft(ift,ift1)

*     **** add ift1 candidates to ift

*#define TFJOINFT_DEBUG

      implicit none
#include "rang/zfpar.fi"
#include "rang/zf.fi"
#include "arte/Arte.fi"
#include "auto/GEDE.fi"

      integer ift,izf,hit,tumchit
      logical llsmoo,llsmoo1
      real x,y
      
      integer ii,jj,kk,izf1,ift1,iizf(200)
      real pf

#include "arte/Arte.ff"
#include "auto/GEDE.ff"

      llsmoo = stat_ft(ift).eq.3.or.stat_ft(ift).eq.5
      llsmoo1 = stat_ft(ift1).eq.3.or.stat_ft(ift1).eq.5

      hit = 0

#ifdef TFJOINFT_DEBUG
      print *,'tfjoinft.F    START'
      print *,'joinseg ift = ',ift1,' prev_ft ',prev_ft(ift1)
     +     ,' nhit ',nhit_ft(ift1)
     +     ,' w ',whit_zf(last_ft(ift1))
     +     ,' quality ', quality_ft(ift1)
#endif

      izf = last_ft(ift1)
 10   if(hit_zf(izf).eq.0) go to 11 
      hit = hit + 1
      iizf(hit) = izf

#ifdef TFJOINFT_DEBUG
      print *,'i,hit,z,mc,xy ',hit,hit_zf(izf)
     +     ,z_zf(izf),tumchit(hit_zf(izf))
     +     ,plane_zf(izf),igede_cmp(plane_zf(izf))
     +     ,' llsmoo1 ',llsmoo1
#endif

      if (.not.llsmoo1) then
         izf = prev_zf(izf)
      else
*     **** smoothed ordering
         izf = prevs_zf(izf)
      endif

      if(izf.gt.0) go to 10
 11   continue
*                                       add new zf in ift
      if(llsmoo) then
         pf = xs_zf(5,last_ft(ift))
      else
         pf = xx_zf(5,last_ft(ift))
      endif

      if(hit.lt.1) return
      do ii=hit,1,-1
         izf1 = iizf(ii) 
         if(ii.eq.hit) then
            if(llsmoo) then
               prevs_zf(izf1) = last_ft(ift)
            else
               prev_zf(izf1) = last_ft(ift)
            endif
         else
            if(llsmoo) then
               prevs_zf(izf1) = iizf(ii+1) 
            else
               prev_zf(izf1) = iizf(ii+1) 
            endif
         endif
         last_ft(ift) = izf1
         nhit_ft(ift) = nhit_ft(ift) + 1
         
         if(llsmoo.and..not.llsmoo1) then
            do jj=1,5
               xs_zf(jj,izf1) = xx_zf(jj,izf1)
               do kk=1,5
                  cs_zf(jj,kk,izf1) = cx_zf(jj,kk,izf1)
               enddo
            enddo
            xs_zf(5,izf1) = pf
         else if(.not.llsmoo.and.llsmoo1) then
            do jj=1,5
               xx_zf(jj,izf1) = xs_zf(jj,izf1)
               do kk=1,5
                  cx_zf(jj,kk,izf1) = cs_zf(jj,kk,izf1)
               enddo
            enddo
            pf = xs_zf(5,last_ft(ift))
         endif
      enddo
      
      return
      end
