/**********************************************************************/
//
// source:
//
// type:      source code
//
// created:   26. Okt 2000
//
// author:    Thorsten Glebe
//            HERA-B Collaboration
//            Max-Planck-Institut fuer Kernphysik
//            Saupfercheckweg 1
//            69117 Heidelberg
//            Germany
//            E-mail: T.Glebe@mpi-hd.mpg.de
//
// Description: Vt++ initialization
//
// changes:
// 26 Okt 2000 (TG) creation
// 18 Dec 2000 (TG) removed VtIni code, define global PkgIni object
// 17 Okt 2001 (TG) added/improved #defines for ARTE
//
/**********************************************************************/

#if defined NO_ARTE && defined USE_ROOT
#include "vt++/CVStag.vt++"
#include "clue/PkgIni.hh"
#include "vt++/VtIni.hh"

namespace VERTEX {

// global Vt++ symbol
const PkgIni VtSteer(xcvsMODULE_vt, xcvsVERSION_vt, xcvsDAYTIME_vt);
  
} // end of namespace VERTEX
#endif
