 
// *****************************************************************************
//
// source:    AC_OTR_evnt.C
//
// type:      source code
//
// created:   16 Sep 2000
//
// author:    Dr. Andreas Gellrich
//            HERA-B Collaboration
//            Humboldt-University Berlin
//            Physics Department
//            Invalidenstr. 110
//            10115 Berlin
//            Germany
//            email: Andreas.Gellrich@desy.de
//
// called by: AC_evnt()
//
// purpose:   fill histograms 
//
// changes:
// 16 Sep 2000 (AG) creation of template
//
// ******************************************************************

// standard includes
#include <iostream.h>

// ONLINE includes
#include "rhp.h"

// Arte includes
#include "arte/arte.hh"
#include "farm/farm.hh"
#include "dq/DQ.h"
#include "alca/AC_OTR.hh"

//
// function code
//
int
AC_OTR_evnt()
{
  ARTE_mark( "AC_OTR_evnt 0", 0 ); // helps to trace back problems

  //
  // fill your histograms here
  //

  // example of 1-dim histogram
  //rhp_hf1( AC_ID( COMP_OTR, LVL_REC, 1 ), x, weight );
  
  // return from function
  ARTE_mark( "AC_OTR_evnt 1", 0 ); // helps to trace back problems
  return 0; // return error code (0 = okay)
}
