// ********************************************************************
//
//  Routine:	alca/actaxxCommVDS.C
//  Author:		Martin Braeuer
//
//  Description:	VDS-specific kuip commands for TAXX
//
//  Modifications:
//  -- none yet						05/03/01 DG
//
// ********************************************************************

#include <iostream.h>
#include "arte/arte.hh"
#include "farm/farm.hh"

#include "alca/actaxxComm.hh"

struct TACommVDS taCommVDS =
{
	7, 		/* nHit */
	0.05,		/* uExc */
};





extern "C"  {
    int   ku_npar();   // return the number of parameters 
    int   ku_geti();   // read an integer
    double ku_getr();  // read a float
    char* ku_gets();   // read a string
    char* ku_getc();   // read an uppercase string
    char* ku_getf();   // read a filename
    char* ku_getl();   // read a comma separated list
} 


extern "C" void kugeti_(int*);
extern "C" void kugetr_(float*);





extern "C" void actaxxvdscuts_(){
  ARTE_mark( "actaxxvdscuts_ 0", GRR_OK );

  int i;
  kugeti_(&i);
  if(i!=-999) taCommVDS.nHit		= i;

  float x;
  kugetr_(&x);
  if(x!=-999) taCommVDS.uExc		= x;

  ARTE_mark( "actaxxvdscuts_ 1", GRR_OK );
}
