*-- Author :    Hartwig Albrecht   06/03/95

      SUBROUTINE IOREWI (LUN)

************************************************************************
*
* Description:  Rewind data set
*
* Called from: anywhere
*
* External references: IFREWI, IOCLOS
*
* Argument in/out description
*   LUN    in     logical unit number
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEIO.fi"

      INTEGER L, LUN

#include "arte/Arte.ff"
#include "auto/MEIO.ff"

      IF (LUN .EQ. 0)  GO TO 90
      L = LUN

 10   IF (IMEIO_FLAG(L) .EQ. 2)  THEN
        CALL IOCLOS (LUN)
        IQ(IQMEIO_FLAG(L)) = 1
      ELSE IF (IMEIO_FLAG(L) .EQ. 3 .OR. IMEIO_FLAG(L) .EQ. 4)  THEN
        CALL IFREWI (LUN, IQ(IQMEIO_IOSTAT(L)))
        IQ(IQMEIO_NREC(L)) = 0
        IQ(IQMEIO_FLAG(L)) = 2
      ELSE IF (IMEIO_FLAG(L) .GT. 4)  THEN
        IF (IMEIO_CONCAT(L) .EQ. 0)  THEN
          IQ(IQMEIO_FLAG(L)) = 1
        ELSE IF (IMEIO_FLAG(IMEIO_CONCAT(L)) .EQ. 1)  THEN
          IQ(IQMEIO_FLAG(L)) = 1
        ELSE IF (IMEIO_FLAG(IMEIO_CONCAT(L)) .EQ. 2)  THEN
          CALL IOCLOS (LUN)
          IQ(IQMEIO_FLAG(IMEIO_CONCAT(L))) = 1
          IQ(IQMEIO_FLAG(L)) = 1
        ELSE
          L = IMEIO_CONCAT(L)
          GO TO 10
        END IF
      END IF

      IQ(IQMEIO_CURRENT(LUN)) = L
      IF(IMEIO_PACK(IMEIO_CURRENT(LUN)).EQ.1) IQ(IQMEIO_TABLE(LUN))=0

 90   END

************************************************************************
* End of IOREWI
************************************************************************
