// *****************************************************************************
//
// source:    daq_mpix_if.hh
//
// type:      header file
//
// created:   08 Oct 2001
//
// author:    Lars Soezueer
//            email: soezueer@mail.desy.de
//
// purpose:   declaration of class DAQ_MPIX_IF
//
// changes:   
//
// *****************************************************************************
#ifndef _DAQ_MPIX_IF_
#define _DAQ_MPIX_IF_

#include "daqif/daq_unsparse_if.hh"

class DAQ_MPIX_IF : public DAQ_UNSPARSE_IF {

public:
  DAQ_MPIX_IF() : DAQ_UNSPARSE_IF(COMP_N_MPIX) {}

  unsigned int getFED_IDs(unsigned short *buf, unsigned int maxIDs);
  int getFED(unsigned short fedid, FED_HDR *buf, unsigned int maxSize);

protected:

private:

};

#endif
