#include <stdio.h>
#include "arte/arte.hh"
#include "gean/ZGMOTH.h"
#include "gean/ZGESL.h"

extern "C" {
 void crzgmoth_() {
   ArteTableIterator<GESL> gs;
   for(; gs.valid(); gs.next()){
      int i =gs.index();
      if(gs->cmp == LGESL_MOTH) {      
         zgmoth_.MOTHSL = i;
         zgmoth_.ZZERO = -.5*(gs->z2+gs->z1);     
      }
      else if(gs->cmp  ==  LGESL_MAG) {
         zgmoth_.MAGNSL = i;
         zgmoth_.ZMAGM =  .5*(gs->z2+gs->z1);  
      }
      else if(gs->cmp  ==  LGESL_RIC)  zgmoth_.RICHSL = i;
      else if(gs->cmp  ==  LGESL_TRSL) zgmoth_.TRDSL  = i;
      else if(gs->cmp  ==  LGESL_ECA ) zgmoth_.CALOSL = i;
      else if(gs->cmp  ==  LGESL_MUON) zgmoth_.MUONSL = i;
      else if(gs->cmp  ==  LGESL_FLD ) zgmoth_.FELDSL = i;  
   }
   ArtePointer<GESL> ns(zgmoth_.CALOSL);
   zgmoth_.ZSTACK = ArtePointer<GCAL>(ns->fpl)->zmin;
 }
}
