
      LOGICAL FUNCTION PTLCHK( iOBJ, iSL ) 
*************************************************************************
*                                                                       *
* PPPPPPPPP   TTTTTTTTTT  LL         CCCCCCCC   HH      HH  KK       KK *
* PPPPPPPPPP  TTTTTTTTTT  LL        CCCCCCCCCC  HH      HH  KK      KK  *
* PP      PP      TT      LL        CC      CC  HH      HH  KK     KK   *
* PP      PP      TT      LL        CC          HH      HH  KK    KK    *
* PP      PP      TT      LL        CC          HH      HH  KK   KK     *
* PPPPPPPPPP      TT      LL        CC          HHHHHHHHHH  KKKKKK      *
* PPPPPPPPP       TT      LL        CC          HHHHHHHHHH  KKKKKK      *
* PP              TT      LL        CC          HH      HH  KK   KK     *
* PP              TT      LL        CC          HH      HH  KK    KK    *
* PP              TT      LL        CC      CC  HH      HH  KK     KK   *
* PP              TT      LLLLLLLL  CCCCCCCCCC  HH      HH  KK      KK  *
* PP              TT      LLLLLLLL   CCCCCCCC   HH      HH  KK       KK *
*                                                                       *
*************************************************************************
*                                                                       *
* Author: I.Belyaev                                                     *
* Date: 1996/11/06 09:52:46 $                                           *
*                                                                       *
* Created: Apr 4, 1997 by Ivan Belyaev                                  *
*                                                                       *
* Description:                                                          *
*                                                                       *     
* Called from: PTLGEO                                                   *
*                                                                       *
* Arguments:                                                            *
* name       in/out/update Argument description                         *
*                                                                       *
*************************************************************************

      IMPLICIT NONE

C**************************************************************************

#include "arte/Arte.fi"
#include "auto/NESL.fi"
#include "auto/PTGE.fi"

C**************************************************************************

      INTEGER       iOBJ   , iSL 
c      CHARACTER*4   CSHAP  , CMOTH , CSUPL , CNAME 

c      LOGICAL       LWALL, LCHAMBER 
c      INTEGER       idCHAMBER 
c      PARAMETER(    idCHAMBER=1)

c      INTEGER       LENOCC 
c      EXTERNAL      LENOCC 

C**************************************************************************
       
#include "arte/Arte.ff"
#include "auto/NESL.ff"
#include "auto/PTGE.ff"

C**************************************************************************

      PTLCHK = .TRUE. 

C* temporary!!!     

c      IF( JPTGE .LE. 0 )THEN 
c       C78='PTLCHK Error! PTGE table does not exist!'
c       CALL ME78EC( 9824789 ) 
c       PTLCHK = .FALSE. 
c       RETURN 
c      ELSEIF( NPTGE() .LE. 0 )THEN
c       C78='PTLCHK Error! PTGE table is empty!'
c       CALL ME78EC( 982413459 ) 
c       PTLCHK = .FALSE. 
c       RETURN  
c      ENDIF 

c      IF( JNESL .LE. 0 )THEN 
c       C78='PTLCHK Error! NESL table does not exist!'
c       CALL ME78EC( 982423 ) 
c       PTLCHK = .FALSE. 
c       RETURN 
c      ENDIF 

c      IF( iOBJ .LE. 0 .OR. iOBJ .GT. NPTGE())THEN
c       C78='PTLCHK Error! Wrong OBJECT form PTGE Table!'
c       CALL ME78EC( 43878 ) 
c       PTLCHK = .FALSE. 
c       RETURN 
c      ENDIF 

c      IF( iSL  .LE. 0 .OR. iSL  .GT. NNESL())THEN
c       C78='PTLCHK Error! Wrong SL from NESL Table!'
c       CALL ME78EC( 9312341 ) 
c       PTLCHK = .FALSE. 
c       RETURN 
c      ENDIF 


      
c      CALL CHHTOC( IQ(HQPTGE_NAME(iOBJ)),CNAME) 

C*    Chamber?Wall?Unknown?
c      LCHAMBER = .FALSE. 
c      LWALL    = .FALSE.  
c      IF(     IPTGE_FLAG( iOBJ ) .EQ. 1  )THEN
c       LCHAMBER = .TRUE. 
c       LWALL    = .FALSE. 
c      ELSEIF( IPTGE_FLAG( iOBJ ) .EQ. -1 )THEN 
c       LCHAMBER = .FALSE. 
c       LWALL    = .TRUE. 
c      ELSE
c       LCHAMBER = .FALSE. 
c       LWALL    = .FALSE. 
c      ENDIF 
    
c      IF( .NOT. LCHAMBER .AND. 
c     &    .NOT. LWALL           )THEN
c       C78='PTLCHK Error!'
c       CALL CH78AC( 'Obj=' ) 
c       CALL CH78AI( iOBJ   ) 
c       CALL CH78CC( 'Name='  ) 
c       CALL CH78AC( CNAME    ) 
c       CALL CH78BC( 'Unknown(probably Comment) FLAG=' ) 
c       CALL CH78AI( IPTGE_FLAG( iOBJ ) ) 
c       CALL ME78EC( 9238574  ) ! in BATCH mode STOP 
c       PTLCHK = .FALSE. 
c       RETURN 
c      ENDIF 


C*    Checks for chambers: 
c      IF( LCHAMBER ) THEN 
C*     Rotation is not allowed (Yet)! 
c       IF( IPTGE_IROT( iOBJ ) .NE. 0 )THEN
c        C78='PTLCHK Error!'
c        CALL CH78AC( 'Obj=' ) 
c        CALL CH78AI( iOBJ   ) 
c        CALL CH78CC( 'Name='  ) 
c        CALL CH78AC( CNAME    ) 
c        CALL CH78AC('Rotation is not allowed for CHAMBER (yet)!')
c        CALL ME78EC( 12354 ) 
c        PTLCHK = .FALSE. 
c        RETURN 
c       ENDIF 
C*     "Superlayer" must be equal to "Mother" ! 
c       CALL CHHTOC( IQ(HQPTGE_SUPL(iOBJ)),CSUPL) 
c       CALL CHHTOC( IQ(HQPTGE_MOTH(iOBJ)),CMOTH) 
c       IF( CSUPL .NE. CMOTH )THEN 
c        C78='PTLCHK Error!'
c        CALL CH78AC( 'Obj=' ) 
c        CALL CH78AI( iOBJ   ) 
c        CALL CH78CC( 'Name='  ) 
c        CALL CH78AC( CNAME    ) 
c        CALL CH78AC('Superlayer is not equal to Mother!')
c        CALL ME78EC( 3212354 ) 
c        PTLCHK = .FALSE. 
c        RETURN 
c       ENDIF 
C*     "Shape" must be "BOX"! 
c       CALL CHHTOC( IQ(HQPTGE_SHAP(iOBJ)),CSHAP) 
c       IF( CSHAP .NE. 'BOX ' )THEN
c        C78='PTLCHK Error!'
c        CALL CH78AC( 'Obj=' ) 
c        CALL CH78AI( iOBJ   ) 
c        CALL CH78CC( 'Name='  ) 
c        CALL CH78AC( CNAME    ) 
c        CALL CH78AC('Shape is not BOX!')
c        CALL ME78EC( 3234354 ) 
c        PTLCHK = .FALSE. 
c        RETURN 
c       ENDIF 

C* Geometry checks:
C* new version MUST? be written as soon as possible!
C* previous one was extremly bugged! 
c      ENDIF 
 

C**************************************************************************

      RETURN 
      END

C**************************************************************************


