#include <iostream>

#ifndef GROVER_WITHOUT_ARTE
#include "arte/arte.hh"
#endif

#include "grover/grover.hh"

// Part of the Grover package
// Please see the header file grover.hh
// for authors etc.
//
//
// Modifications:
// When?     Who?     What?
// YY-MM-DD  Name     Modification
// -----------------------------------------------------------------------------
// 00-09-15  Max      All functionality is now in vertex->Fit(Mver).
//                    This function kept for backwards compatibility only.
// 01-02-28  Max      const safer
// 01-03-13  Max      Added preprocessor directives
//

int GroverConstrainedFit(GroverVertex* vertex, const float Mver)
{
  return vertex->Fit(Mver);
}
