>NAME ITRKUIP

>Menu /ITR
>Guidance
ITR-specific commands.

>Menu /ITR
>COMMAND ITRHITR
>ACTION ITRHITR
>PARAMETER
+
HITRES 'hitresolution' R D=0.01
>Guidance
Change ITR hitresolution (default 0.01)
 

>Menu /ITR
>COMMAND ITRSTEER
>ACTION ITRSTEER
>PARAMETER
+
DBMAJOR 'major number' I D=-999
DBMINOR 'minor number' I D=-999
>Guidance
Major, minor number for ITR Steering DB


>Menu /ITR
>Command DBVERS
>Action  ITRDBVERS
>PARAMETER
+
DBMAJOR 'major number' I D=-1
DBMINOR 'minor number' I D=-1
>Guidance
Major, minor number for ITR Setup database
Note that setting this parameter prevents automatic
updates using the keytable mechanism!

>Menu /ITR
>Command MOVERS
>Action  ITRMOVERS
>PARAMETER
+
DBMAJOR 'major number' I D=-1
DBMINOR 'minor number' I D=-1
>Guidance
Major, minor number for ITR Monitor database
Note that setting this parameter prevents automatic
updates using the keytable mechanism!

>Menu /ITR
>Command ALVERS
>Action  ITRALVERS
>PARAMETER
+
DBMAJOR 'major number' I D=-1
DBMINOR 'minor number' I D=-1
>Guidance
Major, minor number for ITR Alignment database
Note that setting this parameter prevents automatic
updates using the keytable mechanism!



>Command ITRCLUSTER
>ACTION ITRCLUSTER
>PARAMETER
+
CLUSTER 'clusterfinder' I D=1
THRESHA 'threshold 1' R D=3.0
THRESHB 'threshold 2' R D=5.0
>Guidance
Choice of ITR Clusteralgorithm and thresholds

>Command ITRDYN
>ACTION ITRDYN
>PARAMETER
+
DYNTHRES 'dynamic threshold' I D=0
>Guidance
ITR Clusteralgorithm (1) threshold per
chamber as THRESHB * sigma_noise
  
>Command ITRNEVTMON
>ACTION ITRNEVTMON
>PARAMETER
+
NEVT 'number of events' I D=1
>Guidance
Number of events to calculate pedestal, noise

>Command ITRNOISE
>ACTION ITRNOISE
>PARAMETER
+
HOTCUT 'hotcut' R D=9.
MAXSIG 'svar maxSignal' R D=25.
>Guidance
Parameters for ITR Noise following


>Command ITROFFSET
>ACTION ITROFFSET
>PARAMETER
+
SL1 'offset sl1' I D=5
SL2 'offset sl2' I D=5
SL3 'offset sl3' I D=5
SL4 'offset sl4' I D=5
SL5 'offset sl5' I D=5
SL6 'offset sl6' I D=5
SL7 'offset sl7' I D=5
SL8 'offset sl8' I D=5
SL9 'offset sl9' I D=5
SL10 'offset sl10' I D=5
>Guidance
Parameters for ITR datavalid offset  

>Command ITRHCUT
>ACTION ITRHCUT
>PARAMETER
+
HITCUT 'hitcut' R D=99.
>Guidance
Parameter for ITR hitpreparation, chamber skipped 
if number of hits in this chamber exceeds HITCUT 
(works on event basis).

>Command ITRMASK
>ACTION ITRMASK
>PARAMETER
+
MASK 'fill mas (0/1)' I D=0
>Guidance
OTDR table is filled from ITR channel status 
table (ITR_Chanstat).
