*CMZ :          24/03/96  14.25.10  by  Hartwig Albrecht
*CMZ :  2.01/02 30/01/96  12.56.14  by  Hartwig Albrecht
*CMZ :  2.01/01 30/11/95  11.51.06  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   30/11/95

*-- modified by T. Lohse     16-May-99
*   - Titanium added as valid target material (FRITIOF material NEW2)
*-- modified by T. Lohse     29-June-01
*   - Palladium added as valid target material (FRITIOF material NEW2)

      SUBROUTINE KATARG

************************************************************************
*
* Description: Kuip TARGET command
*
* Called from: KUIP
*
* External references: none
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/ArteFlag.fi"

      INTEGER L
      CHARACTER*2 TA(22)
      DATA TA /'P ','N ','D ','HE','BE','B ','C ','O ','AL','SI','S ',
     + 'AR','CA','CU','AG','XE','W ','AU','PB','U ','TI','PD'/

      CALL KUGETC (TARGETMAT, L)

      DO L = 1, 22
        IF (TARGETMAT .EQ. TA(L))  GO TO 90
      END DO

      CALL MEERRC (15623465,
     +  'TARGET: material ' // TARGETMAT // ' not allowed')

 90   END

************************************************************************
* End of KATARG
************************************************************************
