
#ifndef MuEffPixel_h
#define MuEffPixel_h 1

//## Class: MuEffPixel
//      /**Author:        Boris Fominykh
//
//      Date:             May 6th, 2002
//
//      Class:            MuEffPixel
//
//      Base Class:       none
//
//      Description:
//      This is a container class for muon pixel chamber efficiency */

typedef unsigned short Word;

class MuEffPixel
{
public:
    //## Constructor
      MuEffPixel();
    //## Destructor
      ~MuEffPixel();

// public methods
    //        /**Initialization*/
      void Ini();
    //        /**Print*/
      void Print();

// public variables

      int  Valid;
      int key;       // key = NXmin*20 + NYmin

      Word IDnum;    // ID number
      Word sl;       // muon superlayer
      Word qu;       // quadrant
      Word nx1;      // colomn min
      Word nx2;      // colomn max
      Word ny1;      // row min
      Word ny2;      // row max

      float eff;     // efficiency

  protected:
  private:
};
#endif
