*
* B.Fominykh  23.07.97
* main routine of autonomous muon reconstruction

* history:
*  30/11/00 - added the check that hits are prepared for real events  - B.Fominykh
*  06/05/02 - added the check that HITB hits are prepared for MC also - B.Fominykh

*
      SUBROUTINE MURECA(MU2,PIX)
C     ==========================
* MU2   if =0 don't use muon superlayer MU2
* PIX   if =0 don't use the pixels
*
      IMPLICIT NONE
      INTEGER MU2,PIX,MODE,MUPAR
#include "arte/Arte.fi"
C----+===1=========2=========3=========4=========5=========6=========7==********
*
***      PRINT*,'MURECA is called with parameters',MU2,PIX
* check that hits are prepared
      MODE=12
      CALL MUSTEER(MODE,MUPAR)
      IF(MUPAR.EQ.0) THEN
        CALL MUDHITS
        CALL MUSTEER(MODE,MUPAR)
        IF(MUPAR.EQ.0) RETURN
      ENDIF
 10   CONTINUE
* set MURECA status 1 - it is called
      MODE=3
      MUPAR=1
      CALL MUSTEER(MODE,MUPAR)
* book temporary ARTE tables
      CALL MURBWT
* collect muon hits
      CALL MURZDIN
      CALL MURHTIN(MU2,PIX)
      IF(IQ(JTMP9+2).LE.0) GOTO 100
* cross check of pad chamber hits
      CALL MURPDTS
* make clusters
      CALL MURCLIN
* make tracks starting the pad coincidences
      CALL MURPAD
* make tracks starting the pixel coincidences
      CALL MURPIX
* check-point
      IF(IQ(JTMP7+2).LE.0) GOTO 100
* final decision
      CALL MURSEL
* save the reco tracks to RSEG
      CALL MURTAB
* delete the temporary ARTE tables
      CALL MURDWT
* set status 2 - RSEG is filled
      MODE=3
      MUPAR=2
      CALL MUSTEER(MODE,MUPAR)
*
  100 CONTINUE
      RETURN
      END
