// 
//  Author:  Wouter Hulsbergen   04/07/2001
// 
// class rangerHitPattern (see source file for documentation)
// 
// Modifications:
// - Added declaration for `prepareRTRE' for use in reco/rcSetRTRArelations
//                                                    02/05/02 W.H.

#ifndef rangerHitPattern_HH
#define rangerHitPattern_HH

#ifndef ARTE_HH
#include <arte/arte.hh>
#endif

class rangerTrack ;

namespace rangerHitPattern
{
  int storeRtra(rangerTrack* track, ArtePointer<RTRA> rtra) ;
  int SiPlaneIsHit( ArtePointer<GEDE> sigede, float xx, float yy) ;
  void printHitPatterns(ArtePointer<RTRA> rtra) ;
  ArtePointer<RTRE> prepareRTRE(ArtePointer<RTRA> rtra) ;
}

#endif
