#ifndef RANGER_ZFPAR_HH
#define RANGER_ZFPAR_HH

#define maxcmpZfpar 3
extern struct
{ 
  float cxxrf;
  float cyyrf;
  float ctxtxrf;
  float ctytyrf;
  float cqqrf;
  float fMoliere;
  float fCov[5];
  float wchiX;
  float wchiY;
  float wchi3d;
  float wchiMag;
  float whitCmp[maxcmpZfpar];
  float chmaxX;
  float chmaxY;
  float chmax3d;
  float chmaxMag;
  float whitminX;
  float whitminY;
  float whitmin3d;
  float whitminMag;
  float qplimit;
  float zminEc;
  float zmaxEc;
  float zminMag;
  float zmaxMag;
  float dzparaMag;
  int dlevel;
  int rlevel;
  int smooth;
  int niter;
  int msmode;
  int maxPlpick;
  int maxfltPatx;
  int maxfltPaty;
  int maxflt3d;
  int maxfltMag;
  int rmaxX;
  int rmaxY;
  int minMimp;
  int segstor;
  int clmimpPref;
  float fP;
  float fMolRF;
  int fit;
  float qualminX;
  float qualminY;
  int nhitmin;
  float whitminMcon;
  int dgsel;
  int navmode;
  float qpmax;
  int downmode;
  float qmindown;
  int slinemode;
  int sltmode;
  int sltmagn;
  int tcmode;
  int sltclone;
  int catsmode;
  int fitmagn;
  int temamode;
  int uniqmode;
  int nhmaxuniq;
  float frmaxuniq;
  int itrmode;
  int fastmode;
  int unchimode;
  int outlmode;
  int stormagnmode;
  int mcmode;
  int matchmode;
  int hptmode;
} zfpar_;

#endif
