// 
//  Author:  Rainer Mankel                     Created:  23-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// rgzlay_
// Fortran-interface to rangerDomLay::z().
// Getter function for the reference z value of a domain layer.

#include "rang/DomLay.hh"

extern "C" {
  float rgzlay_(rangerDomLay*& dl) {
    if (dl) {
      //cout << "rgzlay: z=" << dl->z() << endl;
      return dl->z();
    }
    else {
      cout << "rgzlay: invalid dl=" << dl << endl;
      return 0;
    }
  }
}



    



