*-- Author :    Rainer Mankel   14/11/94

      subroutine tfweed()

*     **** weedout all but the best candidates in tf
      implicit none
#include "rang/zf.fi"
#include "rang/zfpar.fi"
      integer index_al(ncamx), nal, ii
      real quality_min
*     **** loop over itf, select alive candidates
      nal = 0
      do ii=begin_ft,nca_ft
       if (alive_ft(ii)) then
        nal = nal + 1
        index_al(nal) = ii
       endif
      enddo

*     **** sort descending quality
      call sortzv(quality_ft,index_al,nal,+1,+1,+1)

*     **** best candidate sets standard
      quality_min = quality_ft(index_al(1)) - 1.

*     **** kill everything below quality_min
      do ii=2,min0(rmax_x_zfpar,nal)
       if (quality_ft(index_al(ii)).lt.quality_min)
     +                           alive_ft(index_al(ii)) = .false.
      enddo

*     **** kill everything but the best candidates
      do ii=rmax_x_zfpar+1,nal
       alive_ft(index_al(ii)) = .false.
      enddo

      end


