// ********************************************************************
//
//  Routine:      kamom
//  Author:       D.Samtleben
//
//  Description:  kuip interface for momentum determinatino
//
//  Modification:
// 27 Sep 2001 (DS) remove old include reco/rc99Areco.hh
//
// ********************************************************************


#include <iostream.h>
#include <stdlib.h>
#include <stdio.h>
#include "arte/arte.hh"
#include <string.h>
#include <ctype.h>

int rcMomentumdet = 0;

extern "C" void kugetc_( char*, int *, int );

/************************************************************************
* KAMOM
*
* called from  KUIP
***********************************************************************/

extern "C" void kamom_() {   

//---------------------------------------------------------------
//   read in subdetector status
//---------------------------------------------------------------

  int len;        
  char input[8];
  int len1 = 3;
  kugetc_(input, &len, len1);
  input[len] = 0;

  char *status;
  status  = (char *) malloc(len+1);
  sprintf(status  ,"%s", input);

  if(len>0) for(int i=0; i<len; i++) status[i] = toupper(input[i]);

//---------------------------------------------------------------
//   set status flag
//---------------------------------------------------------------

  if (!strncmp(status,"OFF",3)) rcMomentumdet = 0;
  if (!strncmp(status,"ON" ,2)) rcMomentumdet = 1;

}
