#include "dq/DQ.h"
#include "dq/DQ_RICH.h"
#include "rhp.h"
#include <stdio.h>
#include <math.h> 
#ifndef M_PI
#define M_PI           3.14159265358979323846  /* pi */  
#endif

extern "C"  void riter_evnt_();
extern "C"  void Riter_init_(){ return;  };
extern "C"  void Riter_evnt_(){ riter_evnt_(); };
extern "C"  void Riter_stop_(){ return;  };

extern "C" void rhfill_(int &hid,float &x, float &y, float &wt){
  rhp_hfill(DQ_ID(COMP_RICH, LVL_REC, hid ),x,y,wt);
  return;
}

inline void rhbook1(int id, char * name, int nch, float xmin, float xmax ){
  rhp_hbook1(DQ_ID(COMP_RICH, LVL_REC, id),name,nch,xmin,xmax);
}

inline void rhbook2(int id, char * name, int nch, float xmin, float xmax,int nchy, float ymin, float ymax ){
  rhp_hbook2(DQ_ID(COMP_RICH, LVL_REC, id),name,nch,xmin,xmax,nchy,ymin,ymax);
}


int RITERhbook(){
  
  rhbook1(1001,"RICH: riter PID {gho,e,mu,pi,K,p} (5-10GeV/c)",6,-0.5,5.5) ;
  rhbook1(1002,"RICH: riter thc-thc(pi) (5-10GeV/c)",100,-15.,15.) ;
  rhbook1(1003,"RICH: riter pull (5-10GeV/c)",100,-10.,10.) ;
  rhbook1(1004,"RICH: riter expected No. of phot. (5-10GeV/c)",40,-0.5,39.5) ;

  rhbook1(1005,"RICH: riter PID {gho,e,mu,pi,K,p} (10-20GeV/c)",6,-0.5,5.5) ;
  rhbook1(1006,"RICH: riter thc-thc(pi) (10-20GeV/c)",100,-15.,15.) ;
  rhbook1(1007,"RICH: riter pull (10-20GeV/c)",100,-10.,10.) ;
  rhbook1(1008,"RICH: riter expected No. of phot. (10-20GeV/c)",40,-0.5,39.5) ;

  rhbook1(1009,"RICH: riter PID {gho,e,mu,pi,K,p} (20-40GeV/c)",6,-0.5,5.5) ;
  rhbook1(1010,"RICH: riter thc-thc(pi) (20-40GeV/c)",100,-15.,15.) ;
  rhbook1(1011,"RICH: riter pull (20-40GeV/c)",100,-10.,10.) ;
  rhbook1(1012,"RICH: riter expected No. of phot. (20-40GeV/c)",40,-0.5,39.5) ;

  rhbook1(1013,"RICH: riter PID {gho,e,mu,pi,K,p} (ab 40GeV/c)",6,-0.5,5.5) ;
  rhbook1(1014,"RICH: riter thc-thc(pi) (above 40GeV/c)",100,-15.,15.) ;
  rhbook1(1015,"RICH: riter pull (above 40GeV/c)",100,-10.,10.) ;
  rhbook1(1016,"RICH: riter expected No. of phot. (ab 40GeV/c)",40,-0.5,39.5) ;

  return 0;
};








