!-----------------------------------------------------------------------
! get hits from HITB
! M. Staric, oct-2000, feb-2001
!-----------------------------------------------------------------------


      SUBROUTINE TEMA_GET_PC_HITS(OK)

      IMPLICIT NONE
      LOGICAL OK

#include "tema/TEMA_PAR.fi"
#include "tema/TEMA_HITS.fi"
#include "arte/Arte.fi"
#include "auto/GESL.fi"
      CHARACTER*4 CQ(NARZEB)
      EQUIVALENCE (IQ(1),CQ(1))

      INTEGER I,K,N,IROW,IR_GEDE,INDX
      LOGICAL INCLINED
      CHARACTER*4 CC
      INTEGER IR_GESL(8)
      CHARACTER*4 PCNAME(8)
      SAVE PCNAME
      DATA PCNAME /'PC01','PC02','PC03','PC04',
     &     'MS10','MS11','MS12','MS13'/ 

#include "arte/Arte.ff"
#include "auto/GESL.ff"

      OK=.TRUE.
      DO I=1,NHIT_SIZ
         NHIT(I)=0
      ENDDO
      NHIT_ITR=0
      NHIT_OTR=0
      DO I=1,8
         IR_GESL(I)=0
      ENDDO
      DO IROW=1,NGESL()
         IF(USE_OTR.AND.IGESL_CMP(IROW).EQ.2) THEN
            CC=CQ(HQGESL_NAME(IROW))
            DO I=1,4
               IF(CC.EQ.PCNAME(I)) IR_GESL(I)=IROW
            ENDDO
         ELSE IF(USE_ITR.AND.IGESL_CMP(IROW).EQ.3) THEN
            CC=CQ(HQGESL_NAME(IROW))
            DO I=5,8
               IF(CC.EQ.PCNAME(I)) IR_GESL(I)=IROW
            ENDDO
         ENDIF
      ENDDO

      N=0
      INCLINED=.FALSE.
      DO I=1,2
         DO K=1,8
            INDX=0
            IF(IR_GESL(K).GT.0) INDX=PGESL_GEDE(IR_GESL(K))
            DO WHILE(INDX.GT.0)
               IR_GEDE=MGESL_GEDE(INDX)
               INDX=XGESL_GEDE(INDX)
               CALL TEMA_GET_HITS(IR_GEDE,INCLINED,K,N,OK)
               IF(.NOT.OK) RETURN
            ENDDO
         ENDDO
         NHIT(I)=N
         INCLINED=.TRUE.
      ENDDO

      RETURN
      END



      SUBROUTINE TEMA_GET_HITS(IR_GEDE,INCLINED,K,N,OK)

      IMPLICIT NONE
      INTEGER IR_GEDE, K, N
      LOGICAL INCLINED, OK

#include "tema/TEMA_PAR.fi"
#include "tema/TEMA_HITS.fi"
#include "tema/TEMA_LAY.fi"
#include "arte/Arte.fi"
#include "auto/HITB.fi"
#include "auto/GEDE.fi"

      INTEGER IR_HITB
      INTEGER ILAY,ISEC
      REAL YMIN,YMAX,ROT1,ROT4
      INTEGER IER1,IER2
      SAVE IER1,IER2

      INTEGER NTH_LAYER(9)
      SAVE NTH_LAYER
      DATA NTH_LAYER /0,6,12,18,24,32,36,40,48/

#include "arte/Arte.ff"
#include "auto/HITB.ff"
#include "auto/GEDE.ff"

      OK=.TRUE.
      ILAY=IGEDE_LAY(IR_GEDE)+NTH_LAYER(K)
      IF(ILAY.GT.NTH_LAYER(K+1)) THEN
         CALL MEPRIC(IER1,100,'TEMA: tema_get_hits_, unexpected layer')
         RETURN
      ENDIF
      IF(INCLINED.XOR.KOT(ILAY).EQ.0) THEN
         ISEC=IGEDE_SEC(IR_GEDE)
         YMIN=FGEDE_YMIN(IR_GEDE)
         YMAX=FGEDE_YMAX(IR_GEDE)
         ROT1=FGEDE_ROT(1,IR_GEDE)
         ROT4=FGEDE_ROT(4,IR_GEDE)
         DO IR_HITB=IGEDE_HIT1(IR_GEDE),IGEDE_HITL(IR_GEDE)
            N=N+1
            OK=N.LE.MAXHIT
            IF(.NOT.OK) THEN
               CALL MEPRIC(IER2,10,
     &              'TEMA: tema_get_hits_, out of memory')
               RETURN
            ENDIF
            ZHIT(N)=FHITB_Z(IR_HITB)
            XHIT(N)=FHITB_X(IR_HITB)
            IF(K.LE.4) THEN
               NHIT_OTR=NHIT_OTR+1
               IF(USE_DRIFT) THEN
                  QHIT(N)=FHITB_Q(IR_HITB)
                  SHIT(1,N)=SIG_CELL((ISEC-1)/6)
                  SHIT(2,N)=FHITB_R(IR_HITB)
                  IF(USE_SIGME) SHIT(2,N)=SIG_DRIFT((ISEC-1)/6)
               ELSE
                  QHIT(N)=0.
                  SHIT(1,N)=SIG_CELL((ISEC-1)/6)
                  SHIT(2,N)=SIG_CELL((ISEC-1)/6)
               ENDIF
            ELSE
               NHIT_ITR=NHIT_ITR+1
               QHIT(N)=0.
               SHIT(1,N)=SIG_ITR
               SHIT(2,N)=FHITB_R(IR_HITB)
               IF(USE_SIGME) SHIT(2,N)=SIG_ITR
               SHIT(1,N)=MAX(SHIT(1,N),SHIT(2,N))
            ENDIF                     
            YHIT(1,N)=YMIN
            YHIT(2,N)=YMAX
            C_ALFA(N)=ROT1
            S_ALFA(N)=ROT4
            LAY(N)=ILAY
            HITB_ROW(N)=IR_HITB
         ENDDO
      ENDIF
      
      RETURN
      END


